summaryrefslogtreecommitdiff
path: root/net-im
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-06-29 19:01:32 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-06-29 19:01:32 +0100
commitfb5fdc33b82a5c544cabebf9d4997cd6e93a80fb (patch)
treea3d64d11db4c86df0d89af321a824543c4c437bc /net-im
parentb4fb52261242fc108694b02c56ffa95fc279d071 (diff)
net-im/skypeforlinux : new package, import from gentoo, drop gnome-keyring dep, it seems to work fine without it
Diffstat (limited to 'net-im')
-rw-r--r--net-im/skypeforlinux/Manifest1
-rw-r--r--net-im/skypeforlinux/metadata.xml20
-rw-r--r--net-im/skypeforlinux/skypeforlinux-5.3.0.1-r1706.ebuild107
3 files changed, 128 insertions, 0 deletions
diff --git a/net-im/skypeforlinux/Manifest b/net-im/skypeforlinux/Manifest
new file mode 100644
index 00000000..5a544f57
--- /dev/null
+++ b/net-im/skypeforlinux/Manifest
@@ -0,0 +1 @@
+DIST skypeforlinux_5.3.0.1-1.x86_64.rpm 68386976 SHA256 6ce0c4f39de94f65c47a56126d9413bef159086f1065c4ba5803ab2540a79c04 SHA512 ff0ff8724d7887ab3960cabd5d78119dbd61ccf45a2b1ab94ed09eba41af435eeeb86566d0f0f22a7e9c6c8ba19b72841ca3c1acab547675ac518990e8a73ff0 WHIRLPOOL 19c72110cbfe80c17a14e851a40547dfeac39eafddca11c04b598de4809adeaf4cfa4417019c227cd9217935f6bc18b59b1c6fa6d7444ddc15e9b4427ef20332
diff --git a/net-im/skypeforlinux/metadata.xml b/net-im/skypeforlinux/metadata.xml
new file mode 100644
index 00000000..142cbf38
--- /dev/null
+++ b/net-im/skypeforlinux/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>shentino@gmail.com</email>
+ <name>Raymond Jennings</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>krlgrudzinski+gentoo@gmail.com</email>
+ <name>Karol GrudziƄski</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ <flag name="pax_kernel">Triggers a paxmarking of the main skype binary</flag>
+ </use>
+ <longdescription>Skype is for doing things together, whenever you're apart. Skype's text, voice and video make it simple to share experiences with the people that matter to you, wherever they are.</longdescription>
+</pkgmetadata>
diff --git a/net-im/skypeforlinux/skypeforlinux-5.3.0.1-r1706.ebuild b/net-im/skypeforlinux/skypeforlinux-5.3.0.1-r1706.ebuild
new file mode 100644
index 00000000..773e6d2e
--- /dev/null
+++ b/net-im/skypeforlinux/skypeforlinux-5.3.0.1-r1706.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MULTILIB_COMPAT=( abi_x86_64 )
+
+inherit eutils pax-utils rpm multilib-build
+
+DESCRIPTION="P2P Internet Telephony (VoiceIP) client"
+HOMEPAGE="https://www.skype.com/"
+SRC_URI="https://repo.skype.com/rpm/stable/${PN}_${PV}-1.x86_64.rpm"
+
+LICENSE="Skype-TOS no-source-code"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="pax_kernel"
+
+S="${WORKDIR}"
+QA_PREBUILT=opt/skypeforlinux/skypeforlinux
+RESTRICT="mirror bindist strip" #299368
+
+RDEPEND="dev-libs/atk[${MULTILIB_USEDEP}]
+ dev-libs/expat[${MULTILIB_USEDEP}]
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ dev-libs/nspr[${MULTILIB_USEDEP}]
+ dev-libs/nss[${MULTILIB_USEDEP}]
+ gnome-base/gconf:2[${MULTILIB_USEDEP}]
+ media-libs/alsa-lib[${MULTILIB_USEDEP}]
+ media-libs/fontconfig:1.0[${MULTILIB_USEDEP}]
+ media-libs/freetype:2[${MULTILIB_USEDEP}]
+ net-print/cups[${MULTILIB_USEDEP}]
+ sys-apps/dbus[${MULTILIB_USEDEP}]
+ sys-devel/gcc[cxx]
+ sys-libs/glibc
+ virtual/ttf-fonts
+ x11-libs/cairo[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:2[${MULTILIB_USEDEP}]
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXScrnSaver[${MULTILIB_USEDEP}]
+ x11-libs/libXcomposite[${MULTILIB_USEDEP}]
+ x11-libs/libXcursor[${MULTILIB_USEDEP}]
+ x11-libs/libXdamage[${MULTILIB_USEDEP}]
+ x11-libs/libXext[${MULTILIB_USEDEP}]
+ x11-libs/libXfixes[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXrandr[${MULTILIB_USEDEP}]
+ x11-libs/libXrender[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ x11-libs/pango[${MULTILIB_USEDEP}]"
+
+src_unpack() {
+ rpm_src_unpack ${A}
+}
+
+src_prepare() {
+ default
+ sed -e "s!^SKYPE_PATH=.*!SKYPE_PATH=${EPREFIX}/opt/skypeforlinux/skypeforlinux!" \
+ -i usr/bin/skypeforlinux || die
+ sed -e "s!^Exec=.*!Exec=${EPREFIX}/opt/bin/skypeforlinux!" \
+ -e "s!^Categories=.*!Categories=Network;InstantMessaging;Telephony;!" \
+ -i usr/share/applications/skypeforlinux.desktop || die
+}
+
+src_install() {
+ insinto /opt/skypeforlinux/locales
+ doins usr/share/skypeforlinux/locales/*.pak
+
+ insinto /opt/skypeforlinux/resources/app.asar.unpacked/node_modules/keytar/build/Release
+ doins usr/share/skypeforlinux/resources/app.asar.unpacked/node_modules/keytar/build/Release/keytar.node
+
+ insinto /opt/skypeforlinux/resources
+ doins usr/share/skypeforlinux/resources/*.asar
+
+ insinto /opt/skypeforlinux
+ doins usr/share/skypeforlinux/*.pak
+ doins usr/share/skypeforlinux/*.bin
+ doins usr/share/skypeforlinux/*.dat
+ doins usr/share/skypeforlinux/version
+ exeinto /opt/skypeforlinux
+ doexe usr/share/skypeforlinux/*.so
+ doexe usr/share/skypeforlinux/skypeforlinux
+
+ into /opt
+ dobin usr/bin/skypeforlinux
+
+ dodoc -r usr/share/doc/skypeforlinux/.
+
+ doicon usr/share/pixmaps/skypeforlinux.png
+
+ local res
+ for res in 16 32 256 512; do
+ newicon -s ${res} usr/share/icons/hicolor/${res}x${res}/apps/skypeforlinux.png skypeforlinux.png
+ done
+
+ domenu usr/share/applications/skypeforlinux.desktop
+
+ if use pax_kernel; then
+ pax-mark -Cm "${ED%/}"/opt/skypeforlinux/skypeforlinux
+ eqawarn "You have set USE=pax_kernel meaning that you intend to run"
+ eqawarn "${PN} under a PaX enabled kernel. To do so, we must modify"
+ eqawarn "the ${PN} binary itself and this *may* lead to breakage! If"
+ eqawarn "you suspect that ${PN} is being broken by this modification,"
+ eqawarn "please open a bug."
+ fi
+}